> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rigbox.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App Logs

> Fetch historical logs for an app with pagination support.



## OpenAPI

````yaml GET /api/v1/apps/{id}/logs
openapi: 3.1.0
info:
  title: Rigbox Public API
  description: >-
    Gateway-owned public API for Rigbox. The gateway composes its local
    lifecycle API with service-owned exported specs.
  contact:
    name: Rigbox
    url: https://rigbox.dev
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.rigbox.dev
    description: Production gateway
security: []
tags:
  - name: Workspaces
  - name: CLI
  - name: Observability
  - name: Auth
  - name: API Keys
  - name: Access Control
  - name: Apps
  - name: App Catalog
  - name: Logs
  - name: AI
  - name: Tools
  - name: Snapshots
  - name: SSH Keys
  - name: Templates
  - name: Setup Scripts
  - name: Service Specs
  - name: Deploy
  - name: Community
  - name: User Settings
  - name: Roadmap
  - name: System
paths:
  /api/v1/apps/{id}/logs:
    get:
      tags:
        - Logs
      summary: Fetch logs for an app.
      description: Fetch a paginated batch of recent log lines for an app.
      operationId: get_app_logs
      parameters:
        - name: id
          in: path
          description: App ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: App logs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAppLogsResponse'
      security:
        - bearer: []
components:
  schemas:
    GetAppLogsResponse:
      type: object
      required:
        - source
        - lines
        - has_more
      properties:
        cursor:
          type:
            - string
            - 'null'
        has_more:
          type: boolean
        lines:
          type: array
          items:
            $ref: '#/components/schemas/LogLine'
        source:
          $ref: '#/components/schemas/AppLogSource'
        total_lines:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
    LogLine:
      type: object
      description: A single log line - used by workspace logs and app logs.
      required:
        - line_number
        - message
      properties:
        line_number:
          type: integer
          format: int32
          minimum: 0
        message:
          type: string
        timestamp:
          type:
            - string
            - 'null'
    AppLogSource:
      type: object
      required:
        - id
        - app_id
        - source_type
        - source_ref
        - is_primary
        - created_at
        - updated_at
      properties:
        app_id:
          type: string
        created_at:
          type: string
          format: date-time
        display_name:
          type:
            - string
            - 'null'
        id:
          type: string
        is_primary:
          type: boolean
        source_ref:
          type: string
        source_type:
          $ref: '#/components/schemas/AppLogSourceType'
        updated_at:
          type: string
          format: date-time
    AppLogSourceType:
      type: string
      enum:
        - systemd_unit
        - docker_container
        - file_path
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````